0
$\begingroup$

Rosanswers logo

Hello,

I am quite new to ROS and ubuntu but whatever i try i am keep getting the error so i hope someone can help me out! I need to install 2 packages:

  1. ardrone_autonomy
  2. tum_ardrone

i followed these steps for both packages:

# cd into ros root dir roscd

# clone repository git clone git://github.com/tum-vision/tum_ardrone.git tum_ardrone

# add to ros path (if required) export ROS_PACKAGE_PATH=$ROS_PACKAGE_PATH:pwd/tum_ardrone

# build package (may take up to 10 minutes) rosmake tum_ardrone

even though they are both in opt/ros/hydro i can only run ardrone_autonomy whenever i try to run tum_ardrone i am getting the error.

leroy@leroy-pc:~$ env |grep ROS ROS_ROOT=/opt/ros/hydro/share/ros

ROS_PACKAGE_PATH=/opt/ros/hydro/share:/opt/ros/hydro/stacks

ROS_MASTER_URI=http://localhost:11311

ROSLISP_PACKAGE_DIRECTORIES=

ROS_DISTRO=hydro

ROS_ETC_DIR=/opt/ros/hydro/etc/ros

and in my .bashrc it says : source /opt/ros/hydro/setup.bash

i am using ROS hydro and ubuntu 12.04.

thank you in advance!


Originally posted by leroyv13 on ROS Answers with karma: 1 on 2014-09-23

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

the first package should be available via apt-get: sudo apt-get install ros-hydro-ardrone-autonomy For the second one, why don't you use the hydro-devel branch of that repo and catkin? Also please don't install anything manually to /opt/ros. Create your own catkin workspace.


Originally posted by Chrissi with karma: 1642 on 2014-09-23

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.